For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Visit appVisit websiteBook a demo
  • Get Started
    • Welcome
  • Authentication
    • Hirer Service Accounts
  • Concepts
    • Introduction
    • Directory & Contractors
    • Contracts
    • Approvals
    • Timesheeting
    • Checklists
  • Webhooks
    • Portal Access
    • Endpoint Setup
    • Securing Your Endpoints
    • Monitoring, Debugging & Recovery
  • Client API
    • Webhook Events
      • POSTIssue an OAuth access token
LogoLogo
Visit appVisit websiteBook a demo
Client APIAuthentication

Issue an OAuth access token

POST
https://api.yunojuno.com/oauth/token
POST
/oauth/token
$curl -X POST https://api.yunojuno.com/oauth/token \
> -H "Content-Type: application/json" \
> -d '{
> "grant_type": "string"
>}'
1{
2 "access_token": "client_oa2_live_0123456789abcdef",
3 "token_type": "Bearer",
4 "expires_in": 3600
5}
Exchange OAuth client credentials for a short-lived bearer token. RFC 6749 defines the token request body as `application/x-www-form-urlencoded`. This endpoint also accepts `application/json` as an Auth0-compatible extension. Client credentials may be supplied using HTTP Basic authentication or in the request body. This endpoint implements the OAuth 2.0 client credentials grant for the public API.
Was this page helpful?
Previous

Retrieve a spend requisition

Next
Built with

Exchange OAuth client credentials for a short-lived bearer token.

RFC 6749 defines the token request body as application/x-www-form-urlencoded. This endpoint also accepts application/json as an Auth0-compatible extension. Client credentials may be supplied using HTTP Basic authentication or in the request body.

This endpoint implements the OAuth 2.0 client credentials grant for the public API.

Request

This endpoint expects an object.
grant_typestringRequired
client_idstringOptional
client_secretstringOptional
scopestringOptional

Response

access_tokenstring
token_typestring
expires_ininteger

Errors

400
Bad Request Error
401
Unauthorized Error